Skip to main content
POST
/
v1
/
projects
Create a new project
curl --request POST \
  --url https://api.honeyhive.ai/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "evaluation"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "org_id": "<string>",
  "description": "<string>",
  "type": "evaluation",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating a project

name
string
required

Project name

Minimum string length: 1
description
string

Project description

type
enum<string>

Project type

Available options:
evaluation,
completion

Response

200 - application/json

The created project

Created project

id
string
required
Minimum string length: 1
name
string
required

Project name

Minimum string length: 1
org_id
string
required

Organization ID

description
string

Project description

type
enum<string>

Project type

Available options:
evaluation,
completion
created_at
string<date-time>
updated_at
string<date-time>
{key}
any